using MvvmCross.Platform.IoC;

namespace KoloryMvvmCross.Core
{
    public class App : MvvmCross.Core.ViewModels.MvxApplication
    {
        public override void Initialize()
        {
            CreatableTypes()
                .EndingWith("Service")
                .AsInterfaces()
                .RegisterAsLazySingleton();

            //RegisterAppStart<ViewModels.MainViewModel>();
            RegisterNavigationServiceAppStart<ViewModels.MainViewModel>();
        }
    }
}
